Closed Bug 1566839 Opened 4 months ago Closed 4 months ago

Intermittent toolkit/components/extensions/test/xpcshell/<test> | application crashed [@ operator()] | after xpcshell return code: -11

Categories

(WebExtensions :: General, defect, P5)

defect

Tracking

(firefox-esr60 unaffected, firefox-esr68 unaffected, firefox68 unaffected, firefox69 unaffected, firefox70 fixed)

RESOLVED FIXED
mozilla70
Tracking Status
firefox-esr60 --- unaffected
firefox-esr68 --- unaffected
firefox68 --- unaffected
firefox69 --- unaffected
firefox70 --- fixed

People

(Reporter: intermittent-bug-filer, Assigned: bholley)

References

(Regression)

Details

(Keywords: intermittent-failure, regression)

Attachments

(1 file)

Filed by: dvarga [at] mozilla.com
Parsed log: https://treeherder.mozilla.org/logviewer.html#?job_id=256902994&repo=mozilla-central
Full log: https://queue.taskcluster.net/v1/task/RtB-FlJ9RUCvjwcnxDhJNw/runs/1/artifacts/public/logs/live_backing.log


[task 2019-07-17T11:45:26.172Z] 11:45:26     INFO -  TEST-START | xpcshell-remote.ini:toolkit/components/extensions/test/xpcshell/test_ext_background_global_history.js
[task 2019-07-17T11:45:31.930Z] 11:45:31  WARNING -  TEST-UNEXPECTED-FAIL | xpcshell-remote.ini:toolkit/components/extensions/test/xpcshell/test_ext_background_global_history.js | xpcshell return code: -11
[task 2019-07-17T11:45:31.930Z] 11:45:31     INFO -  TEST-INFO took 5761ms
[task 2019-07-17T11:45:31.930Z] 11:45:31     INFO -  >>>>>>>
[task 2019-07-17T11:45:31.932Z] 11:45:31     INFO -  PID 29925 |  WARN 2019-07-17T11:45:26Z: audio_thread_priority::rt_linux: Could not make thread real-time.
[task 2019-07-17T11:45:31.932Z] 11:45:31     INFO -  PID 29925 | [CodeCoverage] Setting handlers for process 29925.
[task 2019-07-17T11:45:31.932Z] 11:45:31     INFO -  PID 29925 | [29925, Main Thread] WARNING: Couldn't get the user appdata directory. Crash events may not be produced.: file /builds/worker/workspace/build/src/toolkit/crashreporter/nsExceptionHandler.cpp, line 2555
[task 2019-07-17T11:45:31.932Z] 11:45:31     INFO -  PID 29925 | [29925, Main Thread] WARNING: NS_ENSURE_SUCCESS(rv, kKnownEsrVersion) failed with result 0x80004002: file /builds/worker/workspace/build/src/toolkit/components/resistfingerprinting/nsRFPService.cpp, line 662
[task 2019-07-17T11:45:31.934Z] 11:45:31     INFO -  PID 29925 | [29925, Main Thread] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80520012: file /builds/worker/workspace/build/src/extensions/permissions/nsPermissionManager.cpp, line 2903
[task 2019-07-17T11:45:31.935Z] 11:45:31     INFO -  (xpcshell/head.js) | test MAIN run_test pending (1)
[task 2019-07-17T11:45:31.936Z] 11:45:31     INFO -  (xpcshell/head.js) | test run_next_test 0 pending (2)
[task 2019-07-17T11:45:31.936Z] 11:45:31     INFO -  (xpcshell/head.js) | test MAIN run_test finished (2)
[task 2019-07-17T11:45:31.936Z] 11:45:31     INFO -  running event loop
[task 2019-07-17T11:45:31.936Z] 11:45:31     INFO -  xpcshell-remote.ini:toolkit/components/extensions/test/xpcshell/test_ext_background_global_history.js | Starting check_remote
[task 2019-07-17T11:45:31.937Z] 11:45:31     INFO -  (xpcshell/head.js) | test check_remote pending (2)
Summary: Intermittent toolkit/components/extensions/test/xpcshell/test_ext_background_global_history.js | xpcshell return code: -11 → Intermittent toolkit/components/extensions/test/xpcshell/<test> | application crashed [@ operator()] | xpcshell return code: -11
Summary: Intermittent toolkit/components/extensions/test/xpcshell/<test> | application crashed [@ operator()] | xpcshell return code: -11 → Intermittent toolkit/components/extensions/test/xpcshell/<test> | application crashed [@ operator()] | after xpcshell return code: -11
Duplicate of this bug: 1566842
Duplicate of this bug: 1566104
Duplicate of this bug: 1565958
Duplicate of this bug: 1565955
Duplicate of this bug: 1565750

Hi Luca, can the failures here be from Bug 1541496?

Recent failure log: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=257482664&repo=mozilla-central&lineNumber=2824

[task 2019-07-19T23:30:04.024Z] 23:30:04 INFO - TEST-START | xpcshell-remote.ini:toolkit/components/extensions/test/xpcshell/test_ext_background_generated_load_events.js
[task 2019-07-19T23:30:08.638Z] 23:30:08 WARNING - TEST-UNEXPECTED-FAIL | xpcshell-remote.ini:toolkit/components/extensions/test/xpcshell/test_ext_background_generated_load_events.js | xpcshell return code: -11
[task 2019-07-19T23:30:08.638Z] 23:30:08 INFO - TEST-INFO took 4613ms
[task 2019-07-19T23:30:08.638Z] 23:30:08 INFO - >>>>>>>
[task 2019-07-19T23:30:08.638Z] 23:30:08 INFO - PID 1724 | WARN 2019-07-19T23:30:04Z: audio_thread_priority::rt_linux: Could not make thread real-time.
[task 2019-07-19T23:30:08.638Z] 23:30:08 INFO - PID 1724 | [CodeCoverage] Setting handlers for process 1724.
[task 2019-07-19T23:30:08.639Z] 23:30:08 INFO - PID 1724 | [1724, Main Thread] WARNING: Couldn't get the user appdata directory. Crash events may not be produced.: file /builds/worker/workspace/build/src/toolkit/crashreporter/nsExceptionHandler.cpp, line 2634
[task 2019-07-19T23:30:08.639Z] 23:30:08 INFO - PID 1724 | [1724, Main Thread] WARNING: NS_ENSURE_SUCCESS(rv, kKnownEsrVersion) failed with result 0x80004002: file /builds/worker/workspace/build/src/toolkit/components/resistfingerprinting/nsRFPService.cpp, line 662
[task 2019-07-19T23:30:08.639Z] 23:30:08 INFO - PID 1724 | [1724, Main Thread] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80520012: file /builds/worker/workspace/build/src/extensions/permissions/nsPermissionManager.cpp, line 2903
[task 2019-07-19T23:30:08.639Z] 23:30:08 INFO - (xpcshell/head.js) | test MAIN run_test pending (1)
[task 2019-07-19T23:30:08.639Z] 23:30:08 INFO - (xpcshell/head.js) | test run_next_test 0 pending (2)
[task 2019-07-19T23:30:08.639Z] 23:30:08 INFO - (xpcshell/head.js) | test MAIN run_test finished (2)
[task 2019-07-19T23:30:08.639Z] 23:30:08 INFO - running event loop
[task 2019-07-19T23:30:08.639Z] 23:30:08 INFO - xpcshell-remote.ini:toolkit/components/extensions/test/xpcshell/test_ext_background_generated_load_events.js | Starting check_remote
[task 2019-07-19T23:30:08.640Z] 23:30:08 INFO - (xpcshell/head.js) | test check_remote pending (2)
[task 2019-07-19T23:30:08.641Z] 23:30:08 INFO - TEST-PASS | xpcshell-remote.ini:toolkit/components/extensions/test/xpcshell/test_ext_background_generated_load_events.js | check_remote - [check_remote : 1] useRemoteWebExtensions matches - true == true
[task 2019-07-19T23:30:08.641Z] 23:30:08 INFO - TEST-PASS | xpcshell-remote.ini:toolkit/components/extensions/test/xpcshell/test_ext_background_generated_load_events.js | check_remote - [check_remote : 1] testing from extension process - false == false

[task 2019-07-19T23:30:38.140Z] 23:30:38 WARNING - PROCESS-CRASH | xpcshell-remote.ini:toolkit/components/extensions/test/xpcshell/test_ext_background_generated_load_events.js | application crashed [@ operator()]
[task 2019-07-19T23:30:38.140Z] 23:30:38 INFO - Crash dump filename: /tmp/xpc-other-8R1xCI/14190819-ffd4-fd28-2040-5920ecd68c48.dmp
[task 2019-07-19T23:30:38.140Z] 23:30:38 INFO - Operating system: Linux
[task 2019-07-19T23:30:38.141Z] 23:30:38 INFO - 0.0.0 Linux 4.4.0-1014-aws #14taskcluster1-Ubuntu SMP Tue Apr 3 10:27:00 UTC 2018 x86_64
[task 2019-07-19T23:30:38.141Z] 23:30:38 INFO - CPU: amd64
[task 2019-07-19T23:30:38.141Z] 23:30:38 INFO - family 6 model 62 stepping 4
[task 2019-07-19T23:30:38.141Z] 23:30:38 INFO - 8 CPUs
[task 2019-07-19T23:30:38.142Z] 23:30:38 INFO - GPU: UNKNOWN
[task 2019-07-19T23:30:38.144Z] 23:30:38 INFO - Crash reason: SIGSEGV /SEGV_MAPERR
[task 2019-07-19T23:30:38.144Z] 23:30:38 INFO - Crash address: 0x0
[task 2019-07-19T23:30:38.145Z] 23:30:38 INFO - Process uptime: not available
[task 2019-07-19T23:30:38.145Z] 23:30:38 INFO - Thread 0 (crashed)
[task 2019-07-19T23:30:38.145Z] 23:30:38 INFO - 0 xpcshell!mozalloc_abort [mozalloc_abort.cpp:23d4ebd5f8e70bb86f179556572b55655d6e066d : 33 + 0x1d]
[task 2019-07-19T23:30:38.145Z] 23:30:38 INFO - rax = 0x000055d882e2a7c0 rdx = 0x000055d882da73d6
[task 2019-07-19T23:30:38.145Z] 23:30:38 INFO - rcx = 0x00007f8bcd11a2dd rbx = 0x00007f8bcd3e8700
[task 2019-07-19T23:30:38.145Z] 23:30:38 INFO - rsi = 0x00007f8bcd3e9770 rdi = 0x00007f8bcd3e8540
[task 2019-07-19T23:30:38.146Z] 23:30:38 INFO - rbp = 0x00007ffd60078810 rsp = 0x00007ffd60078800
[task 2019-07-19T23:30:38.146Z] 23:30:38 INFO - r8 = 0x00007f8bcd3e9770 r9 = 0x00007f8be8e7e480
[task 2019-07-19T23:30:38.146Z] 23:30:38 INFO - r10 = 0x0000000000000058 r11 = 0x00007f8bcd0907a0
[task 2019-07-19T23:30:38.146Z] 23:30:38 INFO - r12 = 0x00007ffd6007cad8 r13 = 0x0000000000000001
[task 2019-07-19T23:30:38.146Z] 23:30:38 INFO - r14 = 0x00007f8bcd3e8700 r15 = 0x00007f8bc4778040
[task 2019-07-19T23:30:38.147Z] 23:30:38 INFO - rip = 0x000055d882d3537f
[task 2019-07-19T23:30:38.147Z] 23:30:38 INFO - Found by: given as instruction pointer in context
[task 2019-07-19T23:30:38.147Z] 23:30:38 INFO - 1 libxul.so!NS_DebugBreak [nsDebugImpl.cpp:23d4ebd5f8e70bb86f179556572b55655d6e066d : 429 + 0x9]
[task 2019-07-19T23:30:38.147Z] 23:30:38 INFO - rbx = 0x00007ffd60078a60 rbp = 0x00007ffd60078ca0
[task 2019-07-19T23:30:38.147Z] 23:30:38 INFO - rsp = 0x00007ffd60078820 r12 = 0x00007ffd6007cad8
[task 2019-07-19T23:30:38.148Z] 23:30:38 INFO - r13 = 0x0000000000000001 r14 = 0x00007f8bcd3e8700
[task 2019-07-19T23:30:38.148Z] 23:30:38 INFO - r15 = 0x00007f8bc4778040 rip = 0x00007f8bd54d7707
[task 2019-07-19T23:30:38.148Z] 23:30:38 INFO - Found by: call frame info
[task 2019-07-19T23:30:38.148Z] 23:30:38 INFO - 2 libxul.so!operator() [ContentParent.cpp:23d4ebd5f8e70bb86f179556572b55655d6e066d : 2164 + 0x2c]
[task 2019-07-19T23:30:38.148Z] 23:30:38 INFO - rbx = 0x00007f8bba0e0838 rbp = 0x00007ffd60078dc0
[task 2019-07-19T23:30:38.149Z] 23:30:38 INFO - rsp = 0x00007ffd60078cb0 r12 = 0x00007ffd60078cd8
[task 2019-07-19T23:30:38.149Z] 23:30:38 INFO - r13 = 0x00007ffd60078dd8 r14 = 0x0000000000000709
[task 2019-07-19T23:30:38.149Z] 23:30:38 INFO - r15 = 0x0000000000000709 rip = 0x00007f8bd8629e63
[task 2019-07-19T23:30:38.149Z] 23:30:38 INFO - Found by: call frame info
[task 2019-07-19T23:30:38.149Z] 23:30:38 INFO - 3 libxul.so!DoResolveOrRejectInternal [MozPromise.h:23d4ebd5f8e70bb86f179556572b55655d6e066d : 717 + 0x70]
[task 2019-07-19T23:30:38.150Z] 23:30:38 INFO - rbx = 0x00007f8bba0e0800 rbp = 0x00007ffd60078e20
[task 2019-07-19T23:30:38.150Z] 23:30:38 INFO - rsp = 0x00007ffd60078dd0 r12 = 0x00007ffd60078dd8
[task 2019-07-19T23:30:38.150Z] 23:30:38 INFO - r13 = 0x00007f8bba0e0ca0 r14 = 0x00007f8bba0e0838
[task 2019-07-19T23:30:38.150Z] 23:30:38 INFO - r15 = 0x00007f8bba03f0a0 rip = 0x00007f8bd862d314
[task 2019-07-19T23:30:38.150Z] 23:30:38 INFO - Found by: call frame info
[task 2019-07-19T23:30:38.151Z] 23:30:38 INFO - 4 libxul.so!mozilla::MozPromise<int, mozilla::ipc::LaunchError, false>::ThenValueBase::DoResolveOrReject(mozilla::MozPromise<int, mozilla::ipc::LaunchError, false>::ResolveOrRejectValue&) [MozPromise.h:23d4ebd5f8e70bb86f179556572b55655d6e066d : 480 + 0x10]
[task 2019-07-19T23:30:38.151Z] 23:30:38 INFO - rbx = 0x00007f8bba0e0800 rbp = 0x00007ffd60078e50
[task 2019-07-19T23:30:38.151Z] 23:30:38 INFO - rsp = 0x00007ffd60078e30 r12 = 0x00007f8bba03f040
[task 2019-07-19T23:30:38.151Z] 23:30:38 INFO - r13 = 0x00007f8bba022478 r14 = 0x0000000000000001
[task 2019-07-19T23:30:38.151Z] 23:30:38 INFO - r15 = 0x00000000ffffffff rip = 0x00007f8bd5d0e1ab
[task 2019-07-19T23:30:38.151Z] 23:30:38 INFO - Found by: call frame info
[task 2019-07-19T23:30:38.152Z] 23:30:38 INFO - 5 libxul.so!mozilla::MozPromise<int, mozilla::ipc::LaunchError, false>::ThenValueBase::ResolveOrRejectRunnable::Run() [MozPromise.h:23d4ebd5f8e70bb86f179556572b55655d6e066d : 393 + 0x8b]
[task 2019-07-19T23:30:38.152Z] 23:30:38 INFO - rbx = 0x00007f8bba022440 rbp = 0x00007ffd60078e80
[task 2019-07-19T23:30:38.152Z] 23:30:38 INFO - rsp = 0x00007ffd60078e60 r12 = 0x00007f8bba03f040
[task 2019-07-19T23:30:38.152Z] 23:30:38 INFO - r13 = 0x00007f8bba022478 r14 = 0x0000000000000001
[task 2019-07-19T23:30:38.152Z] 23:30:38 INFO - r15 = 0x00000000ffffffff rip = 0x00007f8bd5d0e2b1
[task 2019-07-19T23:30:38.153Z] 23:30:38 INFO - Found by: call frame info
[task 2019-07-19T23:30:38.153Z] 23:30:38 INFO - 6 libxul.so!nsThread::ProcessNextEvent(bool, bool*) [nsThread.cpp:23d4ebd5f8e70bb86f179556572b55655d6e066d : 1225 + 0x23]
[task 2019-07-19T23:30:38.153Z] 23:30:38 INFO - rbx = 0x00007f8bc471a110 rbp = 0x00007ffd600793d0
[task 2019-07-19T23:30:38.153Z] 23:30:38 INFO - rsp = 0x00007ffd60078e90 r12 = 0x00007ffd60078f20
[task 2019-07-19T23:30:38.153Z] 23:30:38 INFO - r13 = 0x00007ffd60078ef0 r14 = 0x0000000000000001
[task 2019-07-19T23:30:38.153Z] 23:30:38 INFO - r15 = 0x00000000ffffffff rip = 0x00007f8bd5609722
[task 2019-07-19T23:30:38.154Z] 23:30:38 INFO - Found by: call frame info
[task 2019-07-19T23:30:38.154Z] 23:30:38 INFO - 7 libxul.so!NS_ProcessNextEvent(nsIThread*, bool) [nsThreadUtils.cpp:23d4ebd5f8e70bb86f179556572b55655d6e066d : 486 + 0x11]
[task 2019-07-19T23:30:38.154Z] 23:30:38 INFO - rbx = 0x00007f8bc471a110 rbp = 0x00007ffd60079400
[task 2019-07-19T23:30:38.154Z] 23:30:38 INFO - rsp = 0x00007ffd600793e0 r12 = 0x0000000000000001
[task 2019-07-19T23:30:38.154Z] 23:30:38 INFO - r13 = 0x00007ffd60079448 r14 = 0x00007ffd600794d0
[task 2019-07-19T23:30:38.155Z] 23:30:38 INFO - r15 = 0x0000000000000000 rip = 0x00007f8bd55f90eb
[task 2019-07-19T23:30:38.155Z] 23:30:38 INFO - Found by: call frame info
[task 2019-07-19T23:30:38.155Z] 23:30:38 INFO - 8 libxul.so!mozilla::SharedThreadPool::SpinUntilEmpty() [SharedThreadPool.cpp:23d4ebd5f8e70bb86f179556572b55655d6e066d : 94 + 0x131]
[task 2019-07-19T23:30:38.155Z] 23:30:38 INFO - rbx = 0x00007f8bc471a110 rbp = 0x00007ffd60079430
[task 2019-07-19T23:30:38.155Z] 23:30:38 INFO - rsp = 0x00007ffd60079410 r12 = 0x00007ffd60079478
[task 2019-07-19T23:30:38.155Z] 23:30:38 INFO - r13 = 0x00007ffd60079448 r14 = 0x00007ffd600794d0
[task 2019-07-19T23:30:38.156Z] 23:30:38 INFO - r15 = 0x0000000000000000 rip = 0x00007f8bd55e2c92
[task 2019-07-19T23:30:38.156Z] 23:30:38 INFO - Found by: call frame info
[task 2019-07-19T23:30:38.156Z] 23:30:38 INFO - 9 libxul.so!mozilla::SharedThreadPoolShutdownObserver::Observe(nsISupports*, char const*, char16_t const*) [SharedThreadPool.cpp:23d4ebd5f8e70bb86f179556572b55655d6e066d : 65 + 0x5]
[task 2019-07-19T23:30:38.156Z] 23:30:38 INFO - rbx = 0x00007ffd60079450 rbp = 0x00007ffd60079550
[task 2019-07-19T23:30:38.156Z] 23:30:38 INFO - rsp = 0x00007ffd60079440 r12 = 0x00007ffd60079478
[task 2019-07-19T23:30:38.156Z] 23:30:38 INFO - r13 = 0x00007ffd60079448 r14 = 0x00007ffd600794d0
[task 2019-07-19T23:30:38.157Z] 23:30:38 INFO - r15 = 0x0000000000000000 rip = 0x00007f8bd55e2ef8
[task 2019-07-19T23:30:38.157Z] 23:30:38 INFO - Found by: call frame info
[task 2019-07-19T23:30:38.157Z] 23:30:38 INFO - 10 libxul.so!nsObserverList::NotifyObservers(nsISupports*, char const*, char16_t const*) [nsObserverList.cpp:23d4ebd5f8e70bb86f179556572b55655d6e066d : 66 + 0x4]
[task 2019-07-19T23:30:38.157Z] 23:30:38 INFO - rbx = 0x00007ffd60079560 rbp = 0x00007ffd600795a0
[task 2019-07-19T23:30:38.157Z] 23:30:38 INFO - rsp = 0x00007ffd60079560 r12 = 0x0000000000000006
[task 2019-07-19T23:30:38.157Z] 23:30:38 INFO - r13 = 0x0000000000000000 r14 = 0x00007f8bdcd3ea77
[task 2019-07-19T23:30:38.158Z] 23:30:38 INFO - r15 = 0x0000000000000000 rip = 0x00007f8bd554bd16
[task 2019-07-19T23:30:38.158Z] 23:30:38 INFO - Found by: call frame info
[task 2019-07-19T23:30:38.158Z] 23:30:38 INFO - 11 libxul.so!nsObserverService::NotifyObservers(nsISupports*, char const*, char16_t const*) [nsObserverService.cpp:23d4ebd5f8e70bb86f179556572b55655d6e066d : 291 + 0x20]
[task 2019-07-19T23:30:38.158Z] 23:30:38 INFO - rbx = 0x00007ffd60079608 rbp = 0x00007ffd600796d0
[task 2019-07-19T23:30:38.158Z] 23:30:38 INFO - rsp = 0x00007ffd600795b0 r12 = 0x00007f8bdcd3ea77
[task 2019-07-19T23:30:38.159Z] 23:30:38 INFO - r13 = 0x00007ffd600795f8 r14 = 0x00007ffd600795f0
[task 2019-07-19T23:30:38.159Z] 23:30:38 INFO - r15 = 0x00007f8bc4784290 rip = 0x00007f8bd5558e5f
[task 2019-07-19T23:30:38.159Z] 23:30:38 INFO - Found by: call frame info
[task 2019-07-19T23:30:38.159Z] 23:30:38 INFO - 12 libxul.so!mozilla::ShutdownXPCOM(nsIServiceManager*) [XPCOMInit.cpp:23d4ebd5f8e70bb86f179556572b55655d6e066d : 632 + 0x1a]
[task 2019-07-19T23:30:38.159Z] 23:30:38 INFO - rbx = 0x00007ffd60079710 rbp = 0x00007ffd60079750
[task 2019-07-19T23:30:38.160Z] 23:30:38 INFO - rsp = 0x00007ffd600796e0 r12 = 0x00007ffd60079700
[task 2019-07-19T23:30:38.160Z] 23:30:38 INFO - r13 = 0x00007ffd600796f8 r14 = 0x0000000000000000
[task 2019-07-19T23:30:38.160Z] 23:30:38 INFO - r15 = 0x00007ffd60079708 rip = 0x00007f8bd563391a
[task 2019-07-19T23:30:38.160Z] 23:30:38 INFO - Found by: call frame info
[task 2019-07-19T23:30:38.160Z] 23:30:38 INFO - 13 libxul.so!NS_ShutdownXPCOM [XPCOMInit.cpp:23d4ebd5f8e70bb86f179556572b55655d6e066d : 564 + 0x5]
[task 2019-07-19T23:30:38.160Z] 23:30:38 INFO - rbx = 0x0000000000000000 rbp = 0x00007ffd60079760
[task 2019-07-19T23:30:38.161Z] 23:30:38 INFO - rsp = 0x00007ffd60079760 r12 = 0x00007ffd60079898
[task 2019-07-19T23:30:38.161Z] 23:30:38 INFO - r13 = 0x00007ffd60079801 r14 = 0x0000000000000000
[task 2019-07-19T23:30:38.161Z] 23:30:38 INFO - r15 = 0x0000000000000001 rip = 0x00007f8bd5633ecd
[task 2019-07-19T23:30:38.161Z] 23:30:38 INFO - Found by: call frame info
[task 2019-07-19T23:30:38.161Z] 23:30:38 INFO - 14 libxul.so!XRE_XPCShellMain(int, char**, char**, XREShellData const*) [XPCShellImpl.cpp:23d4ebd5f8e70bb86f179556572b55655d6e066d : 1423 + 0x7]
[task 2019-07-19T23:30:38.161Z] 23:30:38 INFO - rbx = 0x0000000000000000 rbp = 0x00007ffd60079bc0
[task 2019-07-19T23:30:38.162Z] 23:30:38 INFO - rsp = 0x00007ffd60079770 r12 = 0x00007ffd60079898
[task 2019-07-19T23:30:38.162Z] 23:30:38 INFO - r13 = 0x00007ffd60079801 r14 = 0x0000000000000000
[task 2019-07-19T23:30:38.162Z] 23:30:38 INFO - r15 = 0x0000000000000001 rip = 0x00007f8bd6233101
[task 2019-07-19T23:30:38.162Z] 23:30:38 INFO - Found by: call frame info
[task 2019-07-19T23:30:38.163Z] 23:30:38 INFO - 15 libxul.so!mozilla::BootstrapImpl::XRE_XPCShellMain(int, char**, char**, XREShellData const*) [Bootstrap.cpp:23d4ebd5f8e70bb86f179556572b55655d6e066d : 54 + 0x5]
[task 2019-07-19T23:30:38.163Z] 23:30:38 INFO - rbx = 0x00007ffd60079c00 rbp = 0x00007ffd60079bd0
[task 2019-07-19T23:30:38.163Z] 23:30:38 INFO - rsp = 0x00007ffd60079bd0 r12 = 0x00007ffd60079e08
[task 2019-07-19T23:30:38.163Z] 23:30:38 INFO - r13 = 0x00007ffd60079d00 r14 = 0x0000000000000000
[task 2019-07-19T23:30:38.164Z] 23:30:38 INFO - r15 = 0x0000000000000000 rip = 0x00007f8bda0180f5
[task 2019-07-19T23:30:38.164Z] 23:30:38 INFO - Found by: call frame info
[task 2019-07-19T23:30:38.164Z] 23:30:38 INFO - 16 xpcshell!main [xpcshell.cpp:23d4ebd5f8e70bb86f179556572b55655d6e066d : 65 + 0x29]
[task 2019-07-19T23:30:38.164Z] 23:30:38 INFO - rbx = 0x00007ffd60079c00 rbp = 0x00007ffd60079c20
[task 2019-07-19T23:30:38.165Z] 23:30:38 INFO - rsp = 0x00007ffd60079be0 r12 = 0x00007ffd60079e08
[task 2019-07-19T23:30:38.165Z] 23:30:38 INFO - r13 = 0x00007ffd60079d00 r14 = 0x0000000000000000
[task 2019-07-19T23:30:38.165Z] 23:30:38 INFO - r15 = 0x0000000000000000 rip = 0x000055d882d20986
[task 2019-07-19T23:30:38.165Z] 23:30:38 INFO - Found by: call frame info
[task 2019-07-19T23:30:38.165Z] 23:30:38 INFO - 17 libc-2.23.so + 0x20830
[task 2019-07-19T23:30:38.165Z] 23:30:38 INFO - rbx = 0x0000000000000000 rbp = 0x000055d882da6a50
[task 2019-07-19T23:30:38.166Z] 23:30:38 INFO - rsp = 0x00007ffd60079c30 r12 = 0x000055d882d20eec
[task 2019-07-19T23:30:38.166Z] 23:30:38 INFO - r13 = 0x00007ffd60079d00 r14 = 0x0000000000000000
[task 2019-07-19T23:30:38.166Z] 23:30:38 INFO - r15 = 0x0000000000000000 rip = 0x00007f8bcd043830
[task 2019-07-19T23:30:38.166Z] 23:30:38 INFO - Found by: call frame info
[task 2019-07-19T23:30:38.166Z] 23:30:38 INFO - 18 xpcshell!MOZ_ReportCrash [Assertions.h:23d4ebd5f8e70bb86f179556572b55655d6e066d : 186 + 0x4]
[task 2019-07-19T23:30:38.167Z] 23:30:38 INFO - rsp = 0x00007ffd60079c50 rip = 0x000055d882d208cf
[task 2019-07-19T23:30:38.167Z] 23:30:38 INFO - Found by: stack scanning

Flags: needinfo?(lgreco)
Regressed by: 1541496

(In reply to Andreea Pavel [:apavel] from comment #7)

Hi Luca, can the failures here be from Bug 1541496?

Recent failure log: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=257482664&repo=mozilla-central&lineNumber=2824

This looks like the same underlying issue as Bug 1565248, as mentioned in Bug 1565248 comment 4 it seems unlikely that Bug 1541496 may be the one behind this intermittent.

The identified push log is the same for both Bug 1565248 and Bug 1566839:

https://hg.mozilla.org/mozilla-central/pushloghtml?changeset=0c076622290967834426f37e4e557f1f475c7250

and Bug 1541496 isn't part of it.

Looking at the stacktrace from the failure (which seems to only be triggered in "linux64-ccov debug" builds)

[Parent 29988, Main Thread] ###!!! ASSERTION: failed to initialize child in the parent: 'Error', file /builds/worker/workspace/build/src/dom/ipc/ContentParent.cpp, line 2164
PID 29988 | #01: operator() [dom/ipc/ContentParent.cpp:2167]
PID 29988 | #02: DoResolveOrRejectInternal [xpcom/threads/MozPromise.h:717]
PID 29988 | #03: mozilla::MozPromise<int, mozilla::ipc::LaunchError, false>::ThenValueBase::DoResolveOrReject(mozilla::MozPromise<int, mozilla::ipc::LaunchError, false>::ResolveOrRejectValue&) [xpcom/threads/MozPromise.h:480]
PID 29988 | #04: mozilla::MozPromise<int, mozilla::ipc::LaunchError, false>::ThenValueBase::ResolveOrRejectRunnable::Run() [xpcom/threads/MozPromise.h:394]
PID 29988 | #05: nsThread::ProcessNextEvent(bool, bool*) [xpcom/threads/nsThread.cpp:1229]
PID 29988 | #06: NS_ProcessNextEvent(nsIThread*, bool) [xpcom/threads/nsThreadUtils.cpp:486]
PID 29988 | #07: mozilla::dom::workerinternals::RuntimeService::Cleanup() [dom/workers/RuntimeService.cpp:1843]
PID 29988 | #08: mozilla::dom::workerinternals::RuntimeService::Observe(nsISupports*, char const*, char16_t const*) [dom/workers/RuntimeService.cpp:2190]
PID 29988 | #09: nsObserverList::NotifyObservers(nsISupports*, char const*, char16_t const*) [xpcom/ds/nsObserverList.cpp:66]
PID 29988 | #10: nsObserverService::NotifyObservers(nsISupports*, char const*, char16_t const*) [xpcom/ds/nsObserverService.cpp:291]
PID 29988 | #11: mozilla::ShutdownXPCOM(nsIServiceManager*) [xpcom/build/XPCOMInit.cpp:632]
PID 29988 | #12: NS_ShutdownXPCOM [xpcom/build/XPCOMInit.cpp:564]
PID 29988 | #13: XRE_XPCShellMain(int, char**, char**, XREShellData const*) [js/xpconnect/src/XPCShellImpl.cpp:1424]
PID 29988 | #14: mozilla::BootstrapImpl::XRE_XPCShellMain(int, char**, char**, XREShellData const*) [toolkit/xre/Bootstrap.cpp:54]
PID 29988 | #15: main [js/xpconnect/shell/xpcshell.cpp:65]
PID 29988 | #16: libc.so.6 + 0x20830
PID 29988 | #17: _start

it seems to be coming from:

https://searchfox.org/mozilla-central/rev/b9041f813de0a05bf6de95a145d4e25004499517/dom/ipc/ContentParent.cpp#2164

Which has been introduced in Bug 1562763, in particular from https://hg.mozilla.org/mozilla-central/rev/ae890583cd7668edc232dcd9dfff8696e230a033.

Bug 1562763 seems to be part of the linked pushlog, and so :bholley may have additional ideas related to "if" (and eventually "how") this intermittent may be related to the changes applied as part of Bug 1562763.

Flags: needinfo?(lgreco)

Hi Bobby, can you take a look at the above comment?

Flags: needinfo?(bobbyholley)

It looks like NS_ERROR actually ends up triggering fatal assertions when NS_DEBUG_BREAK is set to stack-and-abort, which it is for a number of debug test configurations on TaskCluster [1].

The intent of making this fallible was that it does actually happen in some xpcshell edge-cases on automation. As such, we should work harder to swallow the error. I'll attach a patch.

[1] https://searchfox.org/mozilla-central/search?q=stack-and-abort&case=false&regexp=false&path=

Assignee: nobody → bobbyholley
Flags: needinfo?(bobbyholley)
Pushed by bholley@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/20d0b13f6471
Use NS_WARNING rather than NS_ERROR when child process initialization fails. r=jld
Status: NEW → RESOLVED
Closed: 4 months ago
Resolution: --- → FIXED
Target Milestone: --- → mozilla70

Not sure that this is fixed.

https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=258610357&repo=mozilla-central&lineNumber=2943

[task 2019-07-27T03:49:00.725Z] 03:49:00 INFO - TEST-START | xpcshell-remote.ini:toolkit/components/extensions/test/xpcshell/test_ext_adoption_with_xrays.js
[task 2019-07-27T03:49:05.668Z] 03:49:05 WARNING - TEST-UNEXPECTED-FAIL | xpcshell-remote.ini:toolkit/components/extensions/test/xpcshell/test_ext_adoption_with_xrays.js | xpcshell return code: -11
[task 2019-07-27T03:49:05.668Z] 03:49:05 INFO - TEST-INFO took 4942ms
[task 2019-07-27T03:49:05.668Z] 03:49:05 INFO - >>>>>>>
[task 2019-07-27T03:49:05.668Z] 03:49:05 INFO - PID 3753 | [CodeCoverage] Setting handlers for process 3753.
[task 2019-07-27T03:49:05.668Z] 03:49:05 INFO - PID 3753 | [3753, Main Thread] WARNING: Couldn't get the user appdata directory. Crash events may not be produced.: file /builds/worker/workspace/build/src/toolkit/crashreporter/nsExceptionHandler.cpp, line 2634
[task 2019-07-27T03:49:05.669Z] 03:49:05 INFO - PID 3753 | [3753, Main Thread] WARNING: NS_ENSURE_SUCCESS(rv, kKnownEsrVersion) failed with result 0x80004002: file /builds/worker/workspace/build/src/toolkit/components/resistfingerprinting/nsRFPService.cpp, line 661
[task 2019-07-27T03:49:05.669Z] 03:49:05 INFO - PID 3753 | [3753, Main Thread] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80520012: file /builds/worker/workspace/build/src/extensions/permissions/nsPermissionManager.cpp, line 2903
[task 2019-07-27T03:49:05.669Z] 03:49:05 INFO - (xpcshell/head.js) | test MAIN run_test pending (1)
[task 2019-07-27T03:49:05.670Z] 03:49:05 INFO - (xpcshell/head.js) | test run_next_test 0 pending (2)
[task 2019-07-27T03:49:05.670Z] 03:49:05 INFO - (xpcshell/head.js) | test MAIN run_test finished (2)
[task 2019-07-27T03:49:05.670Z] 03:49:05 INFO - running event loop
[task 2019-07-27T03:49:05.670Z] 03:49:05 INFO - xpcshell-remote.ini:toolkit/components/extensions/test/xpcshell/test_ext_adoption_with_xrays.js | Starting check_remote
[task 2019-07-27T03:49:05.670Z] 03:49:05 INFO - (xpcshell/head.js) | test check_remote pending (2)
[task 2019-07-27T03:49:05.671Z] 03:49:05 INFO - TEST-PASS | xpcshell-remote.ini:toolkit/components/extensions/test/xpcshell/test_ext_adoption_with_xrays.js | check_remote - [check_remote : 1] useRemoteWebExtensions matches - true == true
...
[task 2019-07-27T03:49:05.690Z] 03:49:05 INFO - TEST-PASS | xpcshell-remote.ini:toolkit/components/extensions/test/xpcshell/test_ext_adoption_with_xrays.js | test_contentscript_xrays - [test_contentscript_xrays : 502] test result correct - "contentScriptAdoptionWithXrays" == "contentScriptAdoptionWithXrays"
[task 2019-07-27T03:49:05.690Z] 03:49:05 INFO - PID 3753 | profiling:/tmp/tmp010pn5/media/libdav1d/data.gcda:Merge mismatch for function 0
[task 2019-07-27T03:49:05.690Z] 03:49:05 INFO - PID 3753 | --DOCSHELL 0x7f946997e000 == 0 [pid = 3753] [id = {5cb6db17-4e84-43f0-bd2d-86b63b3b46c5}] [url = chrome://extensions/content/dummy.xul]
[task 2019-07-27T03:49:05.690Z] 03:49:05 INFO - (xpcshell/head.js) | test run_next_test 2 pending (2)
[task 2019-07-27T03:49:05.691Z] 03:49:05 INFO - (xpcshell/head.js) | test test_contentscript_xrays finished (2)
[task 2019-07-27T03:49:05.691Z] 03:49:05 INFO - (xpcshell/head.js) | test run_next_test 2 finished (1)
[task 2019-07-27T03:49:05.691Z] 03:49:05 INFO - exiting test
[task 2019-07-27T03:49:05.691Z] 03:49:05 INFO - PID 3753 | ExceptionHandler::WaitForContinueSignal waiting for continue signal...
[task 2019-07-27T03:49:05.692Z] 03:49:05 INFO - PID 3753 | ExceptionHandler::GenerateDump cloned child 3837
[task 2019-07-27T03:49:05.692Z] 03:49:05 INFO - PID 3753 | ExceptionHandler::SendContinueSignalToChild sent continue signal to child
[task 2019-07-27T03:49:05.692Z] 03:49:05 INFO - PID 3753 | [Child 3786, Chrome_ChildThread] WARNING: pipe error (3): Connection reset by peer: file /builds/worker/workspace/build/src/ipc/chromium/src/chrome/common/ipc_channel_posix.cc, line 358
[task 2019-07-27T03:49:05.692Z] 03:49:05 INFO - PID 3753 | ###!!! [Child][MessageChannel] Error: (msgtype=0x3600DA,name=PContent::Msg_GraphicsError) Channel error: cannot send/recv
[task 2019-07-27T03:49:05.693Z] 03:49:05 INFO - PID 3753 | [Child 3786, Main Thread] WARNING: MsgDropped in ContentChild: file /builds/worker/workspace/build/src/dom/ipc/ContentChild.cpp, line 2409
[task 2019-07-27T03:49:05.693Z] 03:49:05 INFO - PID 3753 | [GFX1-]: Receive IPC close with reason=AbnormalShutdown
[task 2019-07-27T03:49:05.694Z] 03:49:05 INFO - PID 3753 | [Child 3786, Main Thread] WARNING: shutting down early because of crash!: file /builds/worker/workspace/build/src/dom/ipc/ContentChild.cpp, line 2368
[task 2019-07-27T03:49:05.694Z] 03:49:05 INFO - <<<<<<<
[task 2019-07-27T03:49:05.694Z] 03:49:05 INFO - mozcrash Copy/paste: /builds/worker/workspace/build/linux64-minidump_stackwalk /tmp/xpc-other-F_EGxL/3f6bc1c4-6a8c-7cbc-9699-d15002813816.dmp /builds/worker/workspace/build/symbols
[task 2019-07-27T03:49:13.179Z] 03:49:13 INFO - mozcrash Saved minidump as /builds/worker/workspace/build/blobber_upload_dir/3f6bc1c4-6a8c-7cbc-9699-d15002813816.dmp
[task 2019-07-27T03:49:13.180Z] 03:49:13 INFO - mozcrash Saved app info as /builds/worker/workspace/build/blobber_upload_dir/3f6bc1c4-6a8c-7cbc-9699-d15002813816.extra
[task 2019-07-27T03:49:13.180Z] 03:49:13 WARNING - PROCESS-CRASH | xpcshell-remote.ini:toolkit/components/extensions/test/xpcshell/test_ext_adoption_with_xrays.js | application crashed [@ gcov_do_dump]
[task 2019-07-27T03:49:13.183Z] 03:49:13 INFO - Crash dump filename: /tmp/xpc-other-F_EGxL/3f6bc1c4-6a8c-7cbc-9699-d15002813816.dmp
[task 2019-07-27T03:49:13.183Z] 03:49:13 INFO - Operating system: Linux
[task 2019-07-27T03:49:13.183Z] 03:49:13 INFO - 0.0.0 Linux 4.4.0-1014-aws #14taskcluster1-Ubuntu SMP Tue Apr 3 10:27:00 UTC 2018 x86_64
[task 2019-07-27T03:49:13.184Z] 03:49:13 INFO - CPU: amd64
[task 2019-07-27T03:49:13.184Z] 03:49:13 INFO - family 6 model 62 stepping 4
[task 2019-07-27T03:49:13.184Z] 03:49:13 INFO - 8 CPUs
[task 2019-07-27T03:49:13.184Z] 03:49:13 INFO - GPU: UNKNOWN
[task 2019-07-27T03:49:13.184Z] 03:49:13 INFO - Crash reason: SIGSEGV /SEGV_MAPERR
[task 2019-07-27T03:49:13.185Z] 03:49:13 INFO - Crash address: 0x5618bfaf95c0
[task 2019-07-27T03:49:13.185Z] 03:49:13 INFO - Process uptime: not available
[task 2019-07-27T03:49:13.185Z] 03:49:13 INFO - Thread 46 (crashed)
[task 2019-07-27T03:49:13.185Z] 03:49:13 INFO - 0 libxul.so!gcov_do_dump [libgcov-driver.c : 846 + 0x924]
[task 2019-07-27T03:49:13.186Z] 03:49:13 INFO - rax = 0x00005618bfaf95c0 rdx = 0x0000000000000000
[task 2019-07-27T03:49:13.186Z] 03:49:13 INFO - rcx = 0x00007f94795f90c9 rbx = 0x0000000000000000
[task 2019-07-27T03:49:13.186Z] 03:49:13 INFO - rsi = 0x00005614bfafa500 rdi = 0x00007f94668920e0
[task 2019-07-27T03:49:13.186Z] 03:49:13 INFO - rbp = 0x00007f948f2c0178 rsp = 0x00007f94620e1e70
[task 2019-07-27T03:49:13.187Z] 03:49:13 INFO - r8 = 0x0000000000001000 r9 = 0x00007f9466892000
[task 2019-07-27T03:49:13.187Z] 03:49:13 INFO - r10 = 0x0000000000001000 r11 = 0x0000000000000202
[task 2019-07-27T03:49:13.187Z] 03:49:13 INFO - r12 = 0x00007f94929eb5e8 r13 = 0x0000000001a10000
[task 2019-07-27T03:49:13.187Z] 03:49:13 INFO - r14 = 0x00007f948f2c2480 r15 = 0x00007f94929eb5c0
[task 2019-07-27T03:49:13.188Z] 03:49:13 INFO - rip = 0x00007f9489202972
[task 2019-07-27T03:49:13.188Z] 03:49:13 INFO - Found by: given as instruction pointer in context
[task 2019-07-27T03:49:13.188Z] 03:49:13 INFO - 1 libxul.so!__gcov_dump_one [libgcov-driver.c : 867 + 0xe]
[task 2019-07-27T03:49:13.188Z] 03:49:13 INFO - rbx = 0x00007f94952d3fa0 rbp = 0x00007f94620e67c0
[task 2019-07-27T03:49:13.189Z] 03:49:13 INFO - rsp = 0x00007f94620e66b0 r12 = 0x00007f94620e6768
[task 2019-07-27T03:49:13.189Z] 03:49:13 INFO - r13 = 0x00007f94620e68f8 r14 = 0x00007f9461dfd1c0
[task 2019-07-27T03:49:13.189Z] 03:49:13 INFO - r15 = 0x00007f9469bd36f0 rip = 0x00007f9489202f82
[task 2019-07-27T03:49:13.189Z] 03:49:13 INFO - Found by: call frame info
[task 2019-07-27T03:49:13.189Z] 03:49:13 INFO - 2 libxul.so!__gcov_dump_int [libgcov-interface.c : 164 + 0x8]
[task 2019-07-27T03:49:13.190Z] 03:49:13 INFO - rbx = 0x00007f94952d3fa0 rbp = 0x00007f94620e67c0
[task 2019-07-27T03:49:13.190Z] 03:49:13 INFO - rsp = 0x00007f94620e66c0 r12 = 0x00007f94620e6768
[task 2019-07-27T03:49:13.190Z] 03:49:13 INFO - r13 = 0x00007f94620e68f8 r14 = 0x00007f9461dfd1c0
[task 2019-07-27T03:49:13.190Z] 03:49:13 INFO - r15 = 0x00007f9469bd36f0 rip = 0x00007f9489203058
[task 2019-07-27T03:49:13.190Z] 03:49:13 INFO - Found by: call frame info
[task 2019-07-27T03:49:13.191Z] 03:49:13 INFO - 3 libxul.so!__gcov_flush [libgcov-interface.c : 88 + 0x5]
[task 2019-07-27T03:49:13.191Z] 03:49:13 INFO - rbx = 0x00007f94668744c0 rbp = 0x00007f94620e67c0
[task 2019-07-27T03:49:13.191Z] 03:49:13 INFO - rsp = 0x00007f94620e66d0 r12 = 0x00007f94620e6768
[task 2019-07-27T03:49:13.191Z] 03:49:13 INFO - r13 = 0x00007f94620e68f8 r14 = 0x00007f9461dfd1c0
[task 2019-07-27T03:49:13.191Z] 03:49:13 INFO - r15 = 0x00007f9469bd36f0 rip = 0x00007f9489200c8f
[task 2019-07-27T03:49:13.192Z] 03:49:13 INFO - Found by: call frame info
[task 2019-07-27T03:49:13.192Z] 03:49:13 INFO - 4 libxul.so!__gcov_fork [libgcov-interface.c : 179 + 0x5]
[task 2019-07-27T03:49:13.192Z] 03:49:13 INFO - rbx = 0x00007f94668744c0 rbp = 0x00007f94620e67c0
[task 2019-07-27T03:49:13.192Z] 03:49:13 INFO - rsp = 0x00007f94620e66e0 r12 = 0x00007f94620e6768
[task 2019-07-27T03:49:13.192Z] 03:49:13 INFO - r13 = 0x00007f94620e68f8 r14 = 0x00007f9461dfd1c0
[task 2019-07-27T03:49:13.193Z] 03:49:13 INFO - r15 = 0x00007f9469bd36f0 rip = 0x00007f9489200cc6
[task 2019-07-27T03:49:13.193Z] 03:49:13 INFO - Found by: call frame info[task 2019-07-27T03:49:13.193Z] 03:49:13 INFO - 5 libxul.so!base::LaunchApp(std::vector<std::string, std::allocator<std::string> > const&, base::LaunchOptions const&, int*) [process_util_linux.cc:7c83496f6c487ebbd36b690ec59d3f81b05a995b : 41 + 0x35]
[task 2019-07-27T03:49:13.193Z] 03:49:13 INFO - rbx = 0x00007f94668744c0 rbp = 0x00007f94620e67c0
[task 2019-07-27T03:49:13.193Z] 03:49:13 INFO - rsp = 0x00007f94620e66f0 r12 = 0x00007f94620e6768
[task 2019-07-27T03:49:13.194Z] 03:49:13 INFO - r13 = 0x00007f94620e68f8 r14 = 0x00007f9461dfd1c0
[task 2019-07-27T03:49:13.194Z] 03:49:13 INFO - r15 = 0x00007f9469bd36f0 rip = 0x00007f94821b3d2f
[task 2019-07-27T03:49:13.194Z] 03:49:13 INFO - Found by: call frame info
[task 2019-07-27T03:49:13.194Z] 03:49:13 INFO - 6 libxul.so!mozilla::ipc::PosixProcessLauncher::DoLaunch() [GeckoChildProcessHost.cpp:7c83496f6c487ebbd36b690ec59d3f81b05a995b : 1146 + 0x5]
[task 2019-07-27T03:49:13.195Z] 03:49:13 INFO - rbx = 0x00007f94620e6838 rbp = 0x00007f94620e67f0
[task 2019-07-27T03:49:13.195Z] 03:49:13 INFO - rsp = 0x00007f94620e67d0 r12 = 0x00007f94620e67d4
[task 2019-07-27T03:49:13.195Z] 03:49:13 INFO - r13 = 0x00007f94620e68f8 r14 = 0x00007f9469bd3640
[task 2019-07-27T03:49:13.195Z] 03:49:13 INFO - r15 = 0x00007f94620e6948 rip = 0x00007f94821fd3bd
[task 2019-07-27T03:49:13.195Z] 03:49:13 INFO - Found by: call frame info
[task 2019-07-27T03:49:13.195Z] 03:49:13 INFO - 7 libxul.so!mozilla::ipc::BaseProcessLauncher::PerformAsyncLaunch() [GeckoChildProcessHost.cpp:7c83496f6c487ebbd36b690ec59d3f81b05a995b : 918 + 0x47]
[task 2019-07-27T03:49:13.196Z] 03:49:13 INFO - rbx = 0x00007f94620e6860 rbp = 0x00007f94620e68b0
[task 2019-07-27T03:49:13.196Z] 03:49:13 INFO - rsp = 0x00007f94620e6800 r12 = 0x00007f9467b93eb0
[task 2019-07-27T03:49:13.196Z] 03:49:13 INFO - r13 = 0x00007f94620e68f8 r14 = 0x00007f9469bd3640
[task 2019-07-27T03:49:13.196Z] 03:49:13 INFO - r15 = 0x00007f94620e6948 rip = 0x00007f948220571a
[task 2019-07-27T03:49:13.196Z] 03:49:13 INFO - Found by: call frame info
[task 2019-07-27T03:49:13.196Z] 03:49:13 INFO - 8 libxul.so!mozilla::detail::MethodCall<mozilla::MozPromise<mozilla::ipc::LaunchResults, mozilla::ipc::LaunchError, false>, RefPtr<mozilla::MozPromise<mozilla::ipc::LaunchResults, mozilla::ipc::LaunchError, false> > (mozilla::ipc::BaseProcessLauncher::)(), mozilla::ipc::BaseProcessLauncher>::Invoke() [MozPromise.h:7c83496f6c487ebbd36b690ec59d3f81b05a995b : 1312 + 0x52]
[task 2019-07-27T03:49:13.197Z] 03:49:13 INFO - rbx = 0x00007f94620e68f8 rbp = 0x00007f94620e68e0
[task 2019-07-27T03:49:13.197Z] 03:49:13 INFO - rsp = 0x00007f94620e68c0 r12 = 0x00007f94620e68f8
[task 2019-07-27T03:49:13.197Z] 03:49:13 INFO - r13 = 0x00007f94620e6930 r14 = 0x00007f9466869fa0
[task 2019-07-27T03:49:13.197Z] 03:49:13 INFO - r15 = 0x00007f94620e6948 rip = 0x00007f9482206476
[task 2019-07-27T03:49:13.197Z] 03:49:13 INFO - Found by: call frame info
[task 2019-07-27T03:49:13.197Z] 03:49:13 INFO - 9 libxul.so!mozilla::detail::ProxyRunnable<mozilla::MozPromise<mozilla::ipc::LaunchResults, mozilla::ipc::LaunchError, false>, RefPtr<mozilla::MozPromise<mozilla::ipc::LaunchResults, mozilla::ipc::LaunchError, false> > (mozilla::ipc::BaseProcessLauncher::
)(), mozilla::ipc::BaseProcessLauncher>::Run() [MozPromise.h:7c83496f6c487ebbd36b690ec59d3f81b05a995b : 1332 + 0x66]
[task 2019-07-27T03:49:13.198Z] 03:49:13 INFO - rbx = 0x00007f9461d3a280 rbp = 0x00007f94620e6920
[task 2019-07-27T03:49:13.198Z] 03:49:13 INFO - rsp = 0x00007f94620e68f0 r12 = 0x00007f94620e68f8
[task 2019-07-27T03:49:13.198Z] 03:49:13 INFO - r13 = 0x00007f94620e6930 r14 = 0x00007f9466869fa0
[task 2019-07-27T03:49:13.198Z] 03:49:13 INFO - r15 = 0x00007f94620e6948 rip = 0x00007f94822068e7
[task 2019-07-27T03:49:13.198Z] 03:49:13 INFO - Found by: call frame info
[task 2019-07-27T03:49:13.198Z] 03:49:13 INFO - 10 libxul.so!mozilla::TaskQueue::Runner::Run() [TaskQueue.cpp:7c83496f6c487ebbd36b690ec59d3f81b05a995b : 199 + 0x1f]
[task 2019-07-27T03:49:13.198Z] 03:49:13 INFO - rbx = 0x00007f9466869fc8 rbp = 0x00007f94620e6a00
[task 2019-07-27T03:49:13.199Z] 03:49:13 INFO - rsp = 0x00007f94620e6930 r12 = 0x00007f94620e6940
[task 2019-07-27T03:49:13.199Z] 03:49:13 INFO - r13 = 0x00007f94620e6930 r14 = 0x00007f9466869fa0
[task 2019-07-27T03:49:13.199Z] 03:49:13 INFO - r15 = 0x00007f94620e6948 rip = 0x00007f9481adf618
[task 2019-07-27T03:49:13.199Z] 03:49:13 INFO - Found by: call frame info
[task 2019-07-27T03:49:13.199Z] 03:49:13 INFO - 11 libxul.so!nsThreadPool::Run() [nsThreadPool.cpp:7c83496f6c487ebbd36b690ec59d3f81b05a995b : 244 + 0x23]
[task 2019-07-27T03:49:13.199Z] 03:49:13 INFO - rbx = 0x00007f946c17a680 rbp = 0x00007f94620e6af0
[task 2019-07-27T03:49:13.200Z] 03:49:13 INFO - rsp = 0x00007f94620e6a10 r12 = 0x00007f94620e6aa8
[task 2019-07-27T03:49:13.200Z] 03:49:13 INFO - r13 = 0x0000000000000000 r14 = 0x0000000000000000
[task 2019-07-27T03:49:13.200Z] 03:49:13 INFO - r15 = 0x00007f946c174300 rip = 0x00007f9481af4737
[task 2019-07-27T03:49:13.200Z] 03:49:13 INFO - Found by: call frame info
[task 2019-07-27T03:49:13.200Z] 03:49:13 INFO - 12 libxul.so!nsThread::ProcessNextEvent(bool, bool*) [nsThread.cpp:7c83496f6c487ebbd36b690ec59d3f81b05a995b : 1224 + 0x23]
[task 2019-07-27T03:49:13.200Z] 03:49:13 INFO - rbx = 0x00007f9461d37020 rbp = 0x00007f94620e7040
[task 2019-07-27T03:49:13.200Z] 03:49:13 INFO - rsp = 0x00007f94620e6b00 r12 = 0x00007f94620e6b90
[task 2019-07-27T03:49:13.201Z] 03:49:13 INFO - r13 = 0x00007f94620e6b60 r14 = 0x0000000000000001
[task 2019-07-27T03:49:13.201Z] 03:49:13 INFO - r15 = 0x00000000ffffffff rip = 0x00007f9481b001ca
[task 2019-07-27T03:49:13.201Z] 03:49:13 INFO - Found by: call frame info
[task 2019-07-27T03:49:13.201Z] 03:49:13 INFO - 13 libxul.so!NS_ProcessNextEvent(nsIThread*, bool) [nsThreadUtils.cpp:7c83496f6c487ebbd36b690ec59d3f81b05a995b : 486 + 0x11]
[task 2019-07-27T03:49:13.201Z] 03:49:13 INFO - rbx = 0x00007f9461d37020 rbp = 0x00007f94620e7070
[task 2019-07-27T03:49:13.201Z] 03:49:13 INFO - rsp = 0x00007f94620e7050 r12 = 0x0000000000000001
[task 2019-07-27T03:49:13.201Z] 03:49:13 INFO - r13 = 0x00007f9461d3a3b0 r14 = 0x00007f9461d37020
[task 2019-07-27T03:49:13.201Z] 03:49:13 INFO - r15 = 0x00007f94620e7000 rip = 0x00007f9481aefb93
[task 2019-07-27T03:49:13.202Z] 03:49:13 INFO - Found by: call frame info
[task 2019-07-27T03:49:13.202Z] 03:49:13 INFO - 14 libxul.so!mozilla::ipc::MessagePumpForNonMainThreads::Run(base::MessagePump::Delegate*) [MessagePump.cpp:7c83496f6c487ebbd36b690ec59d3f81b05a995b : 333 + 0x14]
[task 2019-07-27T03:49:13.202Z] 03:49:13 INFO - rbx = 0x00007f9461d3a380 rbp = 0x00007f94620e70d0
[task 2019-07-27T03:49:13.202Z] 03:49:13 INFO - rsp = 0x00007f94620e7080 r12 = 0x00007f9466d2d480
[task 2019-07-27T03:49:13.202Z] 03:49:13 INFO - r13 = 0x00007f9461d3a3b0 r14 = 0x00007f9461d37020
[task 2019-07-27T03:49:13.202Z] 03:49:13 INFO - r15 = 0x00007f94620e7000 rip = 0x00007f948221343c
[task 2019-07-27T03:49:13.203Z] 03:49:13 INFO - Found by: call frame info
[task 2019-07-27T03:49:13.203Z] 03:49:13 INFO - 15 libxul.so!MessageLoop::RunInternal() [message_loop.cc:7c83496f6c487ebbd36b690ec59d3f81b05a995b : 315 + 0x1e]
[task 2019-07-27T03:49:13.203Z] 03:49:13 INFO - rbx = 0x00007f9466d2d480 rbp = 0x00007f94620e7120
[task 2019-07-27T03:49:13.203Z] 03:49:13 INFO - rsp = 0x00007f94620e70e0 r12 = 0x00007f9466d2d480
[task 2019-07-27T03:49:13.203Z] 03:49:13 INFO - r13 = 0x00007f94620e7178 r14 = 0x00007f9466d2d480
[task 2019-07-27T03:49:13.203Z] 03:49:13 INFO - r15 = 0x00007f9461d37060 rip = 0x00007f94821b7d65
[task 2019-07-27T03:49:13.204Z] 03:49:13 INFO - Found by: call frame info
[task 2019-07-27T03:49:13.204Z] 03:49:13 INFO - 16 libxul.so!MessageLoop::Run() [message_loop.cc:7c83496f6c487ebbd36b690ec59d3f81b05a995b : 290 + 0xf]
[task 2019-07-27T03:49:13.204Z] 03:49:13 INFO - rbx = 0x00007f94620e7130 rbp = 0x00007f94620e7160
[task 2019-07-27T03:49:13.204Z] 03:49:13 INFO - rsp = 0x00007f94620e7130 r12 = 0x00007f9466d2d480
[task 2019-07-27T03:49:13.204Z] 03:49:13 INFO - r13 = 0x00007f94620e7178 r14 = 0x00007f9466d2d480
[task 2019-07-27T03:49:13.204Z] 03:49:13 INFO - r15 = 0x00007f9461d37060 rip = 0x00007f94821b7dca
[task 2019-07-27T03:49:13.205Z] 03:49:13 INFO - Found by: call frame info
[task 2019-07-27T03:49:13.205Z] 03:49:13 INFO - 17 libxul.so!nsThread::ThreadFunc(void*) [nsThread.cpp:7c83496f6c487ebbd36b690ec59d3f81b05a995b : 458 + 0x54]
[task 2019-07-27T03:49:13.205Z] 03:49:13 INFO - rbx = 0x00007f9461d37020 rbp = 0x00007f94620e71d0
[task 2019-07-27T03:49:13.205Z] 03:49:13 INFO - rsp = 0x00007f94620e7170 r12 = 0x00007f94620e7188
[task 2019-07-27T03:49:13.205Z] 03:49:13 INFO - r13 = 0x00007f94620e7178 r14 = 0x00007f9466d2d480
[task 2019-07-27T03:49:13.206Z] 03:49:13 INFO - r15 = 0x00007f9461d37060 rip = 0x00007f9481af0c88
[task 2019-07-27T03:49:13.206Z] 03:49:13 INFO - Found by: call frame info
[task 2019-07-27T03:49:13.206Z] 03:49:13 INFO - 18 libnspr4.so!_pt_root [ptthread.c:7c83496f6c487ebbd36b690ec59d3f81b05a995b : 198 + 0x7]
[task 2019-07-27T03:49:13.206Z] 03:49:13 INFO - rbx = 0x00007f9465e973a0 rbp = 0x00007f94620e7210
[task 2019-07-27T03:49:13.206Z] 03:49:13 INFO - rsp = 0x00007f94620e71e0 r12 = 0x0000000000000000
[task 2019-07-27T03:49:13.206Z] 03:49:13 INFO - r13 = 0x0000000000000efc r14 = 0x00007f94620e9700
[task 2019-07-27T03:49:13.207Z] 03:49:13 INFO - r15 = 0x00007f94620e7c98 rip = 0x00007f94956b4fec
[task 2019-07-27T03:49:13.207Z] 03:49:13 INFO - Found by: call frame info
[task 2019-07-27T03:49:13.207Z] 03:49:13 INFO - 19 libpthread-2.23.so + 0x76ba
[task 2019-07-27T03:49:13.207Z] 03:49:13 INFO - rbx = 0x0000000000000000 rbp = 0x0000000000000000
[task 2019-07-27T03:49:13.207Z] 03:49:13 INFO - rsp = 0x00007f94620e7220 r12 = 0x0000000000000000
[task 2019-07-27T03:49:13.207Z] 03:49:13 INFO - r13 = 0x00007f9470e6980f r14 = 0x00007f94620e99c0
[task 2019-07-27T03:49:13.207Z] 03:49:13 INFO - r15 = 0x00007f9470e698b8 rip = 0x00007f94952db6ba
[task 2019-07-27T03:49:13.208Z] 03:49:13 INFO - Found by: call frame info
[task 2019-07-27T03:49:13.208Z] 03:49:13 INFO - 20 libc-2.23.so + 0x10741d
[task 2019-07-27T03:49:13.208Z] 03:49:13 INFO - rsp = 0x00007f94620e72c0 rip = 0x00007f94795eb41d
[task 2019-07-27T03:49:13.208Z] 03:49:13 INFO - Found by: stack scanning

See Also: → 1571220

(In reply to Bogdan Tara[:bogdan_tara] from comment #15)

Not sure that this is fixed.

That appears to be crashing in __gcov_fork -> gcov_do_dump, which is quite different from the crash in this bug as filed. Can you file a separate bug?

Flags: needinfo?(btara)

Filing a new bug. Thank you.

Flags: needinfo?(btara)

Hello,

Will this fix require manual validation? If yes, please provide some steps to reproduce in order to correctly test it and also, please set the "qe-verify+" flag. Otherwise, could the "qe-verify-" flag be added? Thanks!

Flags: needinfo?(lgreco)

Redirecting to :bholley, as he has worked on the patch to fix the underlying issue and can assess if any manual validation would be needed.

Flags: needinfo?(lgreco) → needinfo?(bobbyholley)

This was just about fixing an intermittent, so we don't need QE verification.

Flags: needinfo?(bobbyholley) → qe-verify-
You need to log in before you can comment on or make changes to this bug.